#ifndef MEASUREMENT_2D
#define MEASUREMENT_2D

#include <math.h>

class Measurement2D {
 public:
  struct Matrix {
    double xx,
           xy,
           yx,
           yy;
  };
  Measurement2D();
  ~Measurement2D();
  
  // Getters
  double x() const;
  double y() const;
  Matrix errorMatrix() const;
  double value() const;
  double error() const;
  double significance() const;
  double errorMethod2() const;
  double significanceMethod2() const;

  // Setters
  void setXY(double x, double y);
  void setErrorMatrix(Matrix& m);
  
 private:
  double measurement_x;
  double measurement_y;
  Matrix measurement_error;
};
#endif
